> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Appointments

> Returns all appointments based on the given filter parameters.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json get /v1/installs/{installSid}/reports/appointments
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/reports/appointments:
    get:
      tags:
        - Reports
      summary: List Appointments
      description: Returns all appointments based on the given filter parameters.
      operationId: getV1InstallsInstallsidReportsAppointments
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: Install Sid
            pattern: ^AI[a-f0-9]{32}$
          description: Install Sid
          required: true
        - name: offset
          in: query
          schema:
            type: integer
            description: Result offset
            minimum: 0
          description: Result offset
        - name: limit
          in: query
          schema:
            type: integer
            description: Number of items to return
            minimum: 0
          description: Number of items to return
        - name: courseSid
          in: query
          schema:
            type: string
            description: Course sid
            pattern: ^CU[a-f0-9]{32}$
          description: Course sid
        - name: examSid
          in: query
          schema:
            type: string
            description: Exam sid
            pattern: ^EX[a-f0-9]{32}$
          description: Exam sid
        - name: courseOfferingSid
          in: query
          schema:
            type: string
            description: Course offering sid
            pattern: ^CO[a-f0-9]{32}$
          description: Course offering sid
        - name: type
          in: query
          schema:
            type: string
            description: Type of the appointment
            enum:
              - b-virtual
              - examity
              - proctoru
              - register-blast
              - instructor-as-proctor
              - messaging
              - ad-hoc
              - vtc
              - automated
          description: Type of the appointment
        - name: status
          in: query
          schema:
            type: string
            description: Status of the appointment
            enum:
              - Needs Proctor
              - Scheduled
              - Cancelled
              - In Progress
              - Closed
          description: Status of the appointment
        - name: reviewStatus
          in: query
          schema:
            type: string
            description: >-
              If the session needs to be reviewed and/or if it has been
              reviewed.
            enum:
              - pending
              - complete
              - not-required
          description: If the session needs to be reviewed and/or if it has been reviewed.
        - name: examStatus
          in: query
          schema:
            type: string
            description: Status of the exam
            enum:
              - active
              - draft
              - deleted
          description: Status of the exam
        - name: appointmentAfter
          in: query
          schema:
            type: string
            description: Appointments after date
            example: '1970-01-01T00:00:00.000Z'
            pattern: .*Z
            x-format:
              isoDate: true
          description: Appointments after date
        - name: appointmentBefore
          in: query
          schema:
            type: string
            description: Appointments before date
            example: '1970-01-01T00:00:00.000Z'
            pattern: .*Z
            x-format:
              isoDate: true
          description: Appointments before date
        - name: learnerFirstName
          in: query
          schema:
            type: string
            description: learner first name
            pattern: ^[^%]*$
          description: learner first name
        - name: learnerLastName
          in: query
          schema:
            type: string
            description: Learners last name
            pattern: ^[^%]*$
          description: Learners last name
        - name: learnerEmail
          in: query
          schema:
            type: string
            description: Learners email
            pattern: ^[^%]*$
          description: Learners email
        - name: learnerSid
          in: query
          schema:
            type: string
            description: Learners sid
            pattern: ^[^%]*$
          description: Learners sid
        - name: courseTitle
          in: query
          schema:
            type: string
            description: Course title
            pattern: ^[^%]*$
          description: Course title
        - name: examTitle
          in: query
          schema:
            type: string
            description: Exam title
            pattern: ^[^%]*$
          description: Exam title
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppointmentReportResponse'
components:
  schemas:
    AppointmentReportResponse:
      type: object
      properties:
        total:
          type: number
          nullable: true
        first:
          type: string
          nullable: true
        next:
          type: string
          nullable: true
        prev:
          type: string
          nullable: true
        last:
          type: string
          nullable: true
        count:
          type: number
          nullable: true
        offset:
          type: number
          nullable: true
        results:
          $ref: '#/components/schemas/Model15'
    Model15:
      type: array
      items:
        $ref: '#/components/schemas/AppointmentReportItem'
    AppointmentReportItem:
      type: object
      properties:
        sid:
          type: string
          nullable: true
        examSid:
          type: string
          nullable: true
        enrollmentSid:
          type: string
          nullable: true
        instructorProctorSid:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        sessionType:
          type: string
          nullable: true
        schedulingModule:
          type: string
          nullable: true
        proctorReviewProcessSid:
          type: string
          nullable: true
        appointmentDate:
          type: string
          nullable: true
        dateApproved:
          type: string
          nullable: true
        dateScheduled:
          type: string
          nullable: true
        externalAppointmentId:
          type: string
          nullable: true
        externalReservedAppointmentId:
          type: string
          nullable: true
        externalReservedAppointmentExpires:
          type: string
          nullable: true
        recordingStartDate:
          type: string
          nullable: true
        sessionReportCount:
          type: number
          nullable: true
        series:
          $ref: '#/components/schemas/series'
        reviewByDate:
          type: string
          nullable: true
        reviewCompletedDate:
          type: string
          nullable: true
        reviewRequired:
          type: boolean
          nullable: true
        platformVersion:
          type: string
          nullable: true
        systemCheckStartDate:
          type: string
          nullable: true
        systemCheckEndDate:
          type: string
          nullable: true
        mandatoryRoomScanVideo:
          type: boolean
          nullable: true
        mutedAnnotations:
          $ref: '#/components/schemas/mutedAnnotations'
        exam:
          $ref: '#/components/schemas/exam'
        enrollment:
          $ref: '#/components/schemas/enrollment'
        course:
          $ref: '#/components/schemas/Model10'
        examConfiguration:
          $ref: '#/components/schemas/examConfiguration'
    series:
      type: object
    mutedAnnotations:
      type: object
    exam:
      type: object
      nullable: true
      properties:
        sid:
          type: string
          nullable: true
        courseSid:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        useProctorManager:
          type: boolean
          nullable: true
        requireApproval:
          type: boolean
          nullable: true
        enableAppointmentSuggestions:
          type: boolean
          nullable: true
        url:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        instructorName:
          type: string
          nullable: true
        courseName:
          type: string
          nullable: true
        totalSessions:
          type: number
          nullable: true
        needsProctorSessions:
          type: number
          nullable: true
        platformVersion:
          type: string
          nullable: true
    enrollment:
      type: object
      nullable: true
      properties:
        userSid:
          type: string
          nullable: true
        enrollmentSid:
          type: string
          nullable: true
        courseSid:
          type: string
          nullable: true
        role:
          type: string
          nullable: true
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        synchronization:
          $ref: '#/components/schemas/synchronization'
        createdDate:
          type: string
          nullable: true
        editDate:
          type: string
          nullable: true
        user:
          $ref: '#/components/schemas/user'
        course:
          $ref: '#/components/schemas/course'
    Model10:
      type: object
      nullable: true
      properties:
        sid:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        code:
          type: string
          nullable: true
        synchronization:
          $ref: '#/components/schemas/Model9'
        createdDate:
          type: string
          nullable: true
        editDate:
          type: string
          nullable: true
        offering:
          $ref: '#/components/schemas/offering'
    examConfiguration:
      type: object
      nullable: true
      properties:
        sid:
          type: string
          nullable: true
        examSid:
          type: string
          nullable: true
        enrollmentSid:
          type: string
          nullable: true
        examOpenDate:
          type: string
          nullable: true
        examCloseDate:
          type: string
          nullable: true
        scheduleOpenDate:
          type: string
          nullable: true
        scheduleCloseDate:
          type: string
          nullable: true
        password:
          type: string
          nullable: true
        duration:
          type: number
          nullable: true
        attempts:
          type: number
          nullable: true
        approved:
          type: boolean
          nullable: true
        approvedBy:
          type: string
          nullable: true
        requiredSoftware:
          type: string
          nullable: true
        studentNotes:
          type: string
          nullable: true
        permittedBathroomBreak:
          type: boolean
          nullable: true
        permittedBathroomBreakInformation:
          type: string
          nullable: true
        permittedBlankPaper:
          type: boolean
          nullable: true
        permittedBlankPaperInformation:
          type: string
          nullable: true
        permittedCalculator:
          type: boolean
          nullable: true
        permittedCalculatorInformation:
          type: string
          nullable: true
        permittedDictionary:
          type: boolean
          nullable: true
        permittedDictionaryInformation:
          type: string
          nullable: true
        permittedEarplugs:
          type: boolean
          nullable: true
        permittedEarplugsInformation:
          type: string
          nullable: true
        permittedFormulaSheet:
          type: boolean
          nullable: true
        permittedFormulaSheetInformation:
          type: string
          nullable: true
        permittedNotes:
          type: boolean
          nullable: true
        permittedNotesInformation:
          type: string
          nullable: true
        permittedOtherItems:
          type: string
          nullable: true
        permittedTextbook:
          type: boolean
          nullable: true
        permittedTextbookInformation:
          type: string
          nullable: true
        permittedWebsites:
          type: boolean
          nullable: true
        permittedWebsitesInformation:
          type: string
          nullable: true
        synchronization:
          $ref: '#/components/schemas/Model12'
        proctorNotes:
          type: string
          nullable: true
        proctorTypes:
          $ref: '#/components/schemas/Model13'
        instructorAsProctor:
          $ref: '#/components/schemas/instructorAsProctor'
        createdDate:
          type: string
          nullable: true
        editDate:
          type: string
          nullable: true
    synchronization:
      type: object
      nullable: true
      properties:
        failure1:
          type: string
          nullable: true
        failure2:
          type: string
          nullable: true
        failure3:
          type: string
          nullable: true
        failure4:
          type: string
          nullable: true
        lastSync:
          type: string
          nullable: true
    user:
      type: object
    course:
      type: object
    Model9:
      type: object
      nullable: true
      properties:
        enrollment:
          $ref: '#/components/schemas/Model8'
    offering:
      type: object
      nullable: true
      properties:
        sid:
          type: string
          nullable: true
        lastActivityDate:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        matchStrings:
          type: string
          nullable: true
        startDate:
          type: string
          nullable: true
        endDate:
          type: string
          nullable: true
        createdDate:
          type: string
          nullable: true
        editDate:
          type: string
          nullable: true
    Model12:
      type: object
      nullable: true
      properties:
        exam:
          $ref: '#/components/schemas/Model11'
    Model13:
      type: array
      nullable: true
      items:
        type: string
    instructorAsProctor:
      type: array
      nullable: true
      items:
        $ref: '#/components/schemas/Model14'
    Model8:
      type: object
      nullable: true
      properties:
        lastRun:
          type: string
          nullable: true
        lastRunResult:
          type: string
          nullable: true
        nextRun:
          type: string
          nullable: true
    Model11:
      type: object
      nullable: true
      properties:
        lastRun:
          type: string
          nullable: true
        lastRunResult:
          type: string
          nullable: true
        nextRun:
          type: string
          nullable: true
    Model14:
      type: object
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````